<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.180
Name: Bericht 4 Versturen vaccinaties (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000">
   <title>Bericht 4 Versturen vaccinaties (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]"
         id="tmp-r-891303-764367-965444-413656">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']])&gt;=1 and not(hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']])&lt;=1">(VersturenVaccinaties-payload): element hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]"
         id="tmp-r-213973-842643-233697-716307">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(VersturenVaccinaties-payload): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VersturenVaccinaties-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&lt;=1">(VersturenVaccinaties-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(VersturenVaccinaties-payload): element hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='aborted' or @code='completed'])&gt;=1 and not(hl7:statusCode[@code='active' or @code='aborted' or @code='completed']/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:statusCode[@code='active' or @code='aborted' or @code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='aborted' or @code='completed'])&lt;=1">(VersturenVaccinaties-payload): element hl7:statusCode[@code='active' or @code='aborted' or @code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinaties-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&lt;=1">(VersturenVaccinaties-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenVaccinaties-payload): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenVaccinaties-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]])&gt;=1 and not(hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]])&lt;=1">(VersturenVaccinaties-payload): element hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:templateId
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:templateId"
         id="tmp-r-601496-115016-909160-182746">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.180'">(VersturenVaccinaties-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.180' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:id
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:id"
         id="tmp-r-747436-929689-832783-204484">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-871597-149859-386249-554674">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenVaccinaties-payload): de elementwaarde MOET zijn code 'CPHC' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:statusCode[@code='active' or @code='aborted' or @code='completed']
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:statusCode[@code='active' or @code='aborted' or @code='completed']"
         id="tmp-r-480273-153995-493341-199599">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='aborted') or (@code='completed')">(VersturenVaccinaties-payload): de elementwaarde MOET zijn code 'active' of code 'aborted' of code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime"
         id="tmp-r-588711-705057-390220-206886">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeZorg): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeZorg): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorg): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorg): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-345490-483198-837053-122974">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-949178-202853-525346-373213">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorg)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorg)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]
Item: (VersturenVaccinaties-payload)
-->
   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]"
         id="tmp-r-693856-987734-299777-476345">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(VersturenVaccinaties-payload): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenVaccinaties-payload)
-->
   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-r-653668-264903-466464-714464">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenVaccinaties-payload)
-->
   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-r-475478-123646-609648-122123">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]"
         id="tmp-r-955161-604692-174568-374033">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])&gt;=1 and not(hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])&lt;=1">(VersturenVaccinaties-payload): element hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent"
         id="tmp-r-649734-328773-206713-470512">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VersturenVaccinaties-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(VersturenVaccinaties-payload): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')])&lt;=1">(VersturenVaccinaties-payload): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinaties-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]])&gt;=1 and not(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:id
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:id"
         id="tmp-r-603702-449067-269200-558476">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]"
         id="tmp-r-716956-967701-301912-498877">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')">(VersturenVaccinaties-payload): de elementwaarde MOET zijn code '01' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '02' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '03' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '04' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '05' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '06' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '07' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '08' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '09' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '10' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '11' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '12' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '13' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '14' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '15' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '16' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '17' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '18' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '19' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '20' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '21' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '22' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '23' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '24' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '25' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '26' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '27' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '97' codeSystem '2.16.840.1.113883.2.4.4.40.308'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:effectiveTime
Item: (VersturenVaccinaties-payload)
-->

   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:effectiveTime"
         id="tmp-r-254063-797305-179326-997818">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="matches(@value,'^[0-9]{8}')">(VersturenVaccinaties-payload): 
                                <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]
Item: (VersturenVaccinaties-payload)
-->
   <rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]"
         id="tmp-r-616955-970591-495433-857434">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
